AM263Px MCU+ SDK: SDL_R5ExptnHandlers Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
SDL_R5ExptnHandlers Struct Reference

## Detailed Description

Structure containing the Exception Handlers. If application does not want register an exception handler then below handlers can be assigned to 'NULL' value. In such case, default handler will be used which have the infinite loop.

## Data Fields
exptnHandlerPtr | udefExptnHandler
void * | udefExptnHandlerArgs
exptnHandlerPtr | swiExptnHandler
void * | swiExptnHandlerArgs
exptnHandlerPtr | pabtExptnHandler
void * | pabtExptnHandlerArgs
exptnHandlerPtr | dabtExptnHandler
void * | dabtExptnHandlerArgs
exptnHandlerPtr | irqExptnHandler
void * | irqExptnHandlerArgs
exptnHandlerPtr | fiqExptnHandler
void * | fiqExptnHandlerArgs

## Field Documentation

## ◆ udefExptnHandler

exptnHandlerPtr SDL_R5ExptnHandlers::udefExptnHandler

Undefined Instruction exception handler

## ◆ udefExptnHandlerArgs

void* SDL_R5ExptnHandlers::udefExptnHandlerArgs

Undefined Instruction exception handler Args

## ◆ swiExptnHandler

exptnHandlerPtr SDL_R5ExptnHandlers::swiExptnHandler

Software Interrupt exception handler

## ◆ swiExptnHandlerArgs

void* SDL_R5ExptnHandlers::swiExptnHandlerArgs

Software Interrupt exception handler Args

## ◆ pabtExptnHandler

exptnHandlerPtr SDL_R5ExptnHandlers::pabtExptnHandler

Prefetch Abort exception handler

## ◆ pabtExptnHandlerArgs

void* SDL_R5ExptnHandlers::pabtExptnHandlerArgs

Prefetch Abort exception handler Args

## ◆ dabtExptnHandler

exptnHandlerPtr SDL_R5ExptnHandlers::dabtExptnHandler

Data Abort exception handler

## ◆ dabtExptnHandlerArgs

void* SDL_R5ExptnHandlers::dabtExptnHandlerArgs

Data Abort exception handler Args

## ◆ irqExptnHandler

exptnHandlerPtr SDL_R5ExptnHandlers::irqExptnHandler

Interrupt Request exception handler. This will be used only if VIM is not enabled.

## ◆ irqExptnHandlerArgs

void* SDL_R5ExptnHandlers::irqExptnHandlerArgs

Interrupt Request exception handler Args. This will be used only if VIM is not enabled.

## ◆ fiqExptnHandler

exptnHandlerPtr SDL_R5ExptnHandlers::fiqExptnHandler

Fast Interrupt Request exception handler. This will be used only if VIM is not enabled.

## ◆ fiqExptnHandlerArgs

void* SDL_R5ExptnHandlers::fiqExptnHandlerArgs

Fast Interrupt Request exception handler Args. This will be used only if VIM is not enabled.